aboutsummaryrefslogtreecommitdiffstats
path: root/testing/wbar/APKBUILD
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@st.ilet.to>2016-02-10 13:19:24 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-02-11 08:05:42 +0000
commit7fdaefdb93d85bf55de51d8914e776545748e554 (patch)
treea7e61d188cd3d23b5cdc8ad61337830c75da98aa /testing/wbar/APKBUILD
parent44466a3194ce7a4571327a7ba5b0ce8594f427b3 (diff)
downloadaports-7fdaefdb93d85bf55de51d8914e776545748e554.tar.gz
aports-7fdaefdb93d85bf55de51d8914e776545748e554.tar.bz2
aports-7fdaefdb93d85bf55de51d8914e776545748e554.tar.xz
testing/wbar: new aport
A simple and customizable quick-launch desktop dock https://code.google.com/p/wbar/
Diffstat (limited to 'testing/wbar/APKBUILD')
-rw-r--r--testing/wbar/APKBUILD54
1 files changed, 54 insertions, 0 deletions
diff --git a/testing/wbar/APKBUILD b/testing/wbar/APKBUILD
new file mode 100644
index 0000000000..84dbe742d4
--- /dev/null
+++ b/testing/wbar/APKBUILD
@@ -0,0 +1,54 @@
+# Contributor: ScrumpyJack <scrumpyjack@st.ilet.to>
+# Maintainer: ScrumpyJack <scrumpyjack@st.ilet.to>
+pkgname=wbar
+pkgver=2.3.4
+pkgrel=0
+pkgdesc="A simple and customizable quick-launch desktop dock"
+url="https://code.google.com/p/wbar/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="libglade-dev intltool imlib2-dev"
+install=""
+subpackages="$pkgname-lang $pkgname-doc"
+source="https://wbar.googlecode.com/files/$pkgname-$pkgver.tgz
+ Functions.patch
+ Main.patch"
+
+_builddir=$srcdir/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --exec_prefix=/usr \
+ --sysconfdir=/etc
+ make || return 1
+ }
+
+package() {
+ cd "$_builddir"
+ make DESTDIR=${pkgdir} install
+}
+
+md5sums="c1ac6b74138937a280904d1bac88115d wbar-2.3.4.tgz
+3781735edbe6ca13777c97754ce80c77 Functions.patch
+1411f3813b1996966425e1721b3fe9b6 Main.patch"
+sha256sums="46a69849e4436529aefb5cfb2c94b520d05a53c237e7773b90207f67f97a93e3 wbar-2.3.4.tgz
+1a064c1741f5bd7d2777c0668a9b06908530365d3a7dbf254046451f9116def2 Functions.patch
+23fca37f44db2becbf426c9d377398c3c70fbf6028757692921e23021a5e7586 Main.patch"
+sha512sums="07f3484bd071761d57ef1172c56b30980eef9ce2ee65d1fc21ea20c631a1da1d88c1b8a9e1a1fca0e5f18e7bf1c5697c349a543d72966ce71ff53d7e921147b3 wbar-2.3.4.tgz
+edc3f17ef9ee3d761c22c2dc4bb47118ecf2061b0e1fef74a96a9e69d5a1df446f157ab010f5a95b38a4bcd132dacb852fd91b4dfd96ceb659b1409a2149fa5e Functions.patch
+175cd141650cd735539af1cde81c89175aca70acbbac3138bce16b46f5ac7f91d36d415026cdd158a9cd75d73d349a5286e00fa1cf22df0ac601f523cc44ddf8 Main.patch"